### Method

# Ide Workspace foreach_page

#### Declaration

    void
    ide_workspace_foreach_page (
      IdeWorkspace* self,
      GtkCallback callback,
      gpointer user_data
    )

#### Description

Calls `callback` for each `IdePage` found within the workspace.

Available since: | 3.32

#### Parameters

`callback` | `GtkCallback`
| A callback to execute for each view.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.